declare const _default: () => {
    autoPlayTimer: import('vue').Ref<number, number>;
    autoPlayInterval: import('vue').Ref<number, number>;
    setAutoPlayInterval: (interval: number) => void;
    autoPlay: () => void;
    closeAutoPlay: () => void;
    loopPlay: import('vue').Ref<boolean, boolean>;
    setLoopPlay: (loop: boolean) => void;
    mousewheelListener: import('lodash').DebouncedFuncLeading<(e: WheelEvent) => void>;
    touchStartListener: (e: TouchEvent) => void;
    touchEndListener: (e: TouchEvent) => void;
    turnPrevSlide: () => void;
    turnNextSlide: () => void;
    turnSlideToIndex: (index: number) => void;
    turnSlideToId: (id: string) => void;
    execPrev: () => void;
    execNext: () => void;
    animationIndex: import('vue').Ref<number, number>;
};
export default _default;
